Patch-Source: https://github.com/libsdl-org/SDL_mixer/commit/2385a504cee8aaffba5799380e512895d30fd578
From 2385a504cee8aaffba5799380e512895d30fd578 Mon Sep 17 00:00:00 2001
From: Ozkan Sezer <sezeroz@gmail.com>
Date: Wed, 20 Jul 2022 02:03:32 +0300
Subject: [PATCH] cmake: fix check for vfork()

---
 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 55352cc..d030215 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -294,21 +294,21 @@ if(SDL2MIXER_CMD)
     target_compile_definitions(SDL2_mixer PRIVATE MUSIC_CMD)
     set(fork_found OFF)
     if(NOT fork_found)
-        check_symbol_exists(fork sys/unistd.h HAVE_FORK)
+        check_symbol_exists(fork unistd.h HAVE_FORK)
         if(HAVE_FORK)
             set(fork_found ON)
             target_compile_definitions(SDL2_mixer PRIVATE HAVE_FORK)
         endif()
     endif()
     if(NOT fork_found)
-        check_symbol_exists(fork sys/unistd.h HAVE_VFORK)
+        check_symbol_exists(vfork unistd.h HAVE_VFORK)
         if(HAVE_VFORK)
             set(fork_found ON)
             target_compile_definitions(SDL2_mixer PRIVATE HAVE_VFORK)
         endif()
     endif()
     if(NOT fork_found)
-        message(FATAL_ERROR "Neither fork() or vfork() or available on this platform. Reconfigure with -DSDL2MIXER_CMD=OFF.")
+        message(FATAL_ERROR "Neither fork() nor vfork() or available on this platform. Reconfigure with -DSDL2MIXER_CMD=OFF.")
     endif()
 endif()
 
